Skip to main content
GET
/
api
/
security
/
user-group
Lists all user groups for the current tenant, ordered by name.
curl --request GET \
  --url https://{tenant}.ekso.app/api/security/user-group \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "description": "<string>",
    "type": 123,
    "member": [
      "<string>"
    ],
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Response

List of user groups.

entity
null | string
name
string
description
string
type
integer
member
string[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean